#ifndef KEYWORDS_H
#define KEYWORDS_H

internal String8 keywords[] = {

  //- rhjr: testcase header
  str8_lit_comp("testcase"),
  str8_lit_comp("identificatiecode"),
  str8_lit_comp("titel"),
  str8_lit_comp("beschrijving"),

  //- rhjr: testcase precond.
  str8_lit_comp("precondities"),
  str8_lit_comp("product configuratie"),
  str8_lit_comp("toestand"),

  str8_lit_comp("luchtwasser pH"),
  str8_lit_comp("luchtwasser EC"),
  str8_lit_comp("luchtwasser spuiteller"),

  //- rhjr: testcase procedure
  str8_lit_comp("testprocedure"),

  //- rhjr: expected results
  str8_lit_comp("luchtwasser ventilator"),
  str8_lit_comp("luchtwasser waterklep"),
  str8_lit_comp("luchtwasser toestand"),
  str8_lit_comp("luchtwasser vultijd"),
  str8_lit_comp("luchtwasser sproeiklep"),
  str8_lit_comp("luchtwasser wasserpomp"),
  str8_lit_comp("luchtwasser spuiklep"),
  str8_lit_comp("spuitijd teller"),

  //- rhjr: acties
  str8_lit_comp("luchtwasser"),
  str8_lit_comp("maximale-vlotter"),
  str8_lit_comp("minimale-vlotter"),
  str8_lit_comp("verhoog"),

  //- rhjr: values
  str8_lit_comp("wassen"),
  str8_lit_comp("vullen"),
  str8_lit_comp("spuien"),

  str8_lit_comp("start"),

  str8_lit_comp("open"),
  str8_lit_comp("dicht"),

  str8_lit_comp("aan"),
  str8_lit_comp("uit"),

  //- rhjr: unique
  str8_lit_comp("luchtwasser EC spui-waarde"),
  str8_lit_comp("luchtwasser maximale spuitijd")
};

typedef enum {
  TESTCASE                      = 0xF8E8,
  IDENTIFICATIECODE             = 0x78b0,
  TITEL                         = 0x98d2,
  BESCHRIJVING                  = 0x19fd,
  PRECONDITIES                  = 0x91fb,
  PRODUCT_CONFIGURATIE          = 0xf925,
  TOESTAND                      = 0xcfd8,
  LUCHTWASSER_PH                = 0x543f,
  LUCHTWASSER_EC                = 0x031a,
  LUCHTWASSER_SPUITELLER        = 0xadae,
  TESTPROCEDURE                 = 0x614f,
  LUCHTWASSER_VENTILATOR        = 0x70e6,
  LUCHTWASSER_WATERKLEP         = 0xa991,
  LUCHTWASSER_TOESTAND          = 0x63f8,
  LUCHTWASSER_VULTIJD           = 0xb6db,
  LUCHTWASSER_SPROEIKLEP        = 0x39f5,
  LUCHTWASSER_WASSERPOMP        = 0x159f,
  LUCHTWASSER_SPUIKLEP          = 0x93d1,
  SPUITIJD_TELLER               = 0xdaf9,
  LUCHTWASSER                   = 0x0529,
  MAXIMALE_VLOTTER              = 0xa318,
  MINIMALE_VLOTTER              = 0xab74,
  VERHOOG                       = 0x4e7d,
  WASSEN                        = 0xfbcb,
  VULLEN                        = 0xa2c3,
  SPUIEN                        = 0xbe62,
  START                         = 0xf5b3,
  OPEN                          = 0x1690,
  DICHT                         = 0x9be6,
  AAN                           = 0x5f2e,
  UIT                           = 0x6fe8,
  LUCHTWASSER_EC_SPUI_WAARDE    = 0x996a,
  LUCHTWASSER_MAXIMALE_SPUITIJD = 0xbacb,
} Translation;


#endif
